# Visualization
TKService
WNT

# WNT_ArcNote Struct Reference

`#include <W32_Allocator.hxx>`

Inheritance diagram for WNT_ArcNote:

[legend]

## Public Member Functions

| WNT_ArcNote (int, int, int, int, double, double)
virtual void | Play (BOOL=TRUE)
virtual void | Xform (void)

## Data Fields

int | mySX
int | mySY
int | myTSX
int | myTSY
int | myEX
int | myEY
int | myTEX
int | myTEY
int | myDirect

## Constructor & Destructor Documentation

WNT_ArcNote::WNT_ArcNote | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | double | ,
|  | double |
| ) |

## Member Function Documentation

virtual void WNT_ArcNote::Play | ( | BOOL | = `TRUE` | ) | `[virtual]`

| Reimplemented from WNT_PolyEllipseNote. Reimplemented in WNT_PolyChordNote, WNT_ChordNote, WNT_PolySectorNote, and WNT_SectorNote.

virtual void WNT_ArcNote::Xform | ( | void |  | ) | `[virtual]`

| Reimplemented from WNT_PolyEllipseNote.

## Field Documentation

int WNT_ArcNote::myDirect

int WNT_ArcNote::myEX

int WNT_ArcNote::myEY

int WNT_ArcNote::mySX

int WNT_ArcNote::mySY

int WNT_ArcNote::myTEX

int WNT_ArcNote::myTEY

int WNT_ArcNote::myTSX

int WNT_ArcNote::myTSY

The documentation for this struct was generated from the following file:

- W32_Allocator.hxx